HRIS Employees
The HrisEmployee Object
Properties
idstringThe Rutter generated unique ID of the HRIS employee.
platform_idstringThe platform specific ID of the HRIS employee.
department_idstringnullableThe Rutter ID of the departments linked to the employee.
location_idstringnullableThe Rutter ID of the locations linked to the employee. The employee's work location.
manager_idstringnullableThe Rutter ID of the organizations linked to the employee.
hire_datestringnullableThe date the employee was hired.
termination_datestringnullableIf applicable, the date the employee was terminated.
first_namestringEmployee's first name.
statusenumThe status of the employee.
custom_fieldsobjectOptionalCustom fields on the employee. Note: for field type 'select', please use the values from options presented through 'GET /accounting/employees/custom_fields' endpoint. For field type 'boolean', please pass in a boolean value.
emailstringnullableThe employee's work email address, falling back to their primary email address if the platform does not distinguish the two.
employee_numberstringnullableUnique employee identifier for payroll processing and expense tracking.
last_namestringnullableEmployee's last name.
positionstringnullableJob title of the employee.
salarynumbernullableThe gross salary of the employee used in payroll and tax calculations.
bank_accountsarrayOptionalThe employee's bank / payout account details. Availability varies by platform and worker type, and bank data is often PII-gated.
bank_accounts attributescreated_atstringnullableThe ISO 8601 timestamp that the HRIS employee was created.
updated_atstringnullableThe ISO 8601 timestamp that the HRIS employee was last updated.
last_synced_atstringThe ISO 8601 timestamp when the HRIS employee was last synced by Rutter.
platform_dataobjectOptionalThe raw platform data corresponding to the Rutter object.
List Employees
Request Parameters
access_tokenstringqueryRequiredThe access token of the connection.
cursorstringqueryOptionalUsed to paginate to the next batch of objects. Should be a copy of the next_cursor value from the previous response.
limitintegerqueryOptionalUsed to limit the number of returned objects. Defaults to 50.
sortstringqueryOptionalUsed to sort the response objects, e.g. last_synced_at ASC. If a value is provided but ASC or DESC is not, defaults to ASC. If omitted, defaults to updated_at DESC. Currently supports the updated_at and last_synced_at fields.
expandarrayqueryOptionalInclude platform specific data (includes additional fields not provided by the Rutter object).
last_synced_at_minintegerqueryOptionalUsed to filter objects with a last_synced_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.
updated_at_maxintegerqueryOptionalUsed to filter objects with a updated_at value less than or equal to the supplied value. Should be a Unix time in milliseconds.
updated_at_minintegerqueryOptionalUsed to filter objects with a updated_at value greater than or equal to the supplied value. Should be a Unix time in milliseconds.
force_fetchenumqueryOptionalUsed to force a response even if the underlying connection has not finished its initial sync.
Response Body
Fetch an Employee
Request Parameters
idstringpathRequiredThe unique ID of the object.
access_tokenstringqueryRequiredThe access token of the connection.
id_typeenumqueryOptionalUsed to indicate the type of id that is supplied. Defaults to rutter. Not currently supported on Sage Intacct or Sage Business Cloud.
force_fetchenumqueryOptionalUsed to force a response even if the underlying connection has not finished its initial sync.
Response Body
Have questions?
Contact support for personalized guidance.